Bug 177214 - 2.6.15-1.1823_FC4smp swap bug?
2.6.15-1.1823_FC4smp swap bug?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-07 14:25 EST by Bryce
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-11 23:46:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce 2006-01-07 14:25:48 EST
2.6.15-1.1823_FC4smp

buy running heavy disk IO (tar copy one partition to another while running
wakewhatis in a loop, eventualy waewhatis will bail out  as being the guilty
process (tried and replicated in 2.6.14 as well 6 times now)

happy new year 8)

Phil
=--=

Jan  7 17:05:37 Emerald kernel: ------------[ cut here ]------------
Jan  7 17:05:37 Emerald kernel: kernel BUG at mm/swap.c:215!
Jan  7 17:05:37 Emerald kernel: invalid operand: 0000 [#1]
Jan  7 17:05:37 Emerald kernel: SMP 
Jan  7 17:05:37 Emerald kernel: last sysfs file: /class/vc/vcsa7/dev
Jan  7 17:05:37 Emerald kernel: Modules linked in: parport_pc lp parport autofs4
sunrpc ipv6 joydev vfat 
fat ov511 wacom usb_storage dm_mod video button battery
 ac ohci1394 ieee1394 uhci_hcd bt878 tuner bttv video_buf i2c_algo_bit
v4l2_common btcx_risc tveeprom vid
eodev budget_ci tda1004x budget_core saa7146 ttpci_eeprom stv0299 dvb_core
stv0297 i2c_i801 i2c_core snd_
intel8x0 snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device 
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc e100
mii floppy ext3 jbd ata_pii
x libata sd_mod scsi_mod
Jan  7 17:05:37 Emerald kernel: CPU:    1
Jan  7 17:05:37 Emerald kernel: EIP:    0060:[release_pages+410/449]    Not
tainted VLI
Jan  7 17:05:37 Emerald kernel: EIP:    0060:[<c01556ad>]    Not tainted VLI
Jan  7 17:05:37 Emerald kernel: EFLAGS: 00010246   (2.6.15-1.1823_FC4smp) 
Jan  7 17:05:37 Emerald kernel: EIP is at release_pages+0x19a/0x1c1
Jan  7 17:05:37 Emerald kernel: eax: 00000002   ebx: c2b4a054   ecx: 00000000  
edx: 00000002
Jan  7 17:05:37 Emerald kernel: esi: c3129c90   edi: c3129c58   ebp: 00000000  
esp: d2197d94
Jan  7 17:05:37 Emerald kernel: ds: 007b   es: 007b   ss: 0068
Jan  7 17:05:37 Emerald kernel: Process makewhatis (pid: 13751,
threadinfo=d2197000 task=d2f0faa0)
Jan  7 17:05:37 Emerald kernel: Stack: 00000010 00000002 00000000 00000000
c1bb8ed4 c293f7fc c23f1aa4 c25
30c04 
Jan  7 17:05:37 Emerald kernel:        c1a7f338 c245bab4 c1b88ca8 c21ed260
c1c8a13c c2afc738 c2d64ad4 bfb
85fff 
Jan  7 17:05:37 Emerald kernel:        bfb86000 cc8185fc c287b1c4 c3129c90
00000010 00000010 c0162b05 000
00020 
Jan  7 17:05:37 Emerald kernel: Call Trace:
Jan  7 17:05:37 Emerald kernel:  [free_pages_and_swap_cache+116/182]
free_pages_and_swap_cache+0x74/0xb6 
    [exit_mmap+237/256] exit_mmap+0xed/0x100
Jan  7 17:05:37 Emerald kernel:  [<c0162b05>]
free_pages_and_swap_cache+0x74/0xb6     [<c015f215>] exit_m
map+0xed/0x100
Jan  7 17:05:37 Emerald kernel:  [mmput+32/151] mmput+0x20/0x97    
[exec_mmap+249/491] exec_mmap+0xf9/0x
1eb
Jan  7 17:05:37 Emerald kernel:  [<c0122c1a>] mmput+0x20/0x97     [<c0174aa8>]
exec_mmap+0xf9/0x1eb
Jan  7 17:05:37 Emerald kernel:  [flush_old_exec+123/2233]
flush_old_exec+0x7b/0x8b9     [vfs_read+246/34
4] vfs_read+0xf6/0x158
Jan  7 17:05:37 Emerald kernel:  [<c0174c7d>] flush_old_exec+0x7b/0x8b9    
[<c016aba8>] vfs_read+0xf6/0x
158
Jan  7 17:05:37 Emerald kernel:  [kernel_read+55/65] kernel_read+0x37/0x41    
[load_elf_binary+698/3488]
 load_elf_binary+0x2ba/0xda0
Jan  7 17:05:37 Emerald kernel:  [<c01749a5>] kernel_read+0x37/0x41    
[<c01951c0>] load_elf_binary+0x2b
a/0xda0
Jan  7 17:05:37 Emerald kernel:  [page_address+139/145] page_address+0x8b/0x91 
   [kmap_high+299/449] km
ap_high+0x12b/0x1c1
Jan  7 17:05:37 Emerald kernel:  [<c0158b39>] page_address+0x8b/0x91    
[<c01584d6>] kmap_high+0x12b/0x1
c1
Jan  7 17:05:37 Emerald kernel:  [page_address+139/145] page_address+0x8b/0x91 
   [kunmap_high+123/159] 
kunmap_high+0x7b/0x9f
Jan  7 17:05:37 Emerald kernel:  [<c0158b39>] page_address+0x8b/0x91    
[<c01585e7>] kunmap_high+0x7b/0x
9f
Jan  7 17:05:37 Emerald kernel:  [load_elf_binary+0/3488]
load_elf_binary+0x0/0xda0     [search_binary_ha
ndler+148/635] search_binary_handler+0x94/0x27b
Jan  7 17:05:37 Emerald kernel:  [<c0194f06>] load_elf_binary+0x0/0xda0    
[<c0175747>] search_binary_ha
ndler+0x94/0x27b
Jan  7 17:05:37 Emerald kernel:  [do_execve+523/565] do_execve+0x20b/0x235    
[sys_execve+48/115] sys_ex
ecve+0x30/0x73
Jan  7 17:05:37 Emerald kernel:  [<c0175b39>] do_execve+0x20b/0x235    
[<c0102cd6>] sys_execve+0x30/0x73
Jan  7 17:05:37 Emerald kernel:  [syscall_call+7/11] syscall_call+0x7/0xb    
Jan  7 17:05:37 Emerald kernel:  [<c0104085>] syscall_call+0x7/0xb    
Jan  7 17:05:37 Emerald kernel: Code: 24 08 00 00 00 00 31 ed e9 c8 fe ff ff f0
0f ba 33 06 83 ad a8 11 0
0 00 01 e9 9f fe ff ff 0f 0b d7 00 d8 ac 34 c0 e9 d9 fe ff ff <0f> 0b d7 00 d8
ac 34 c0 e9 ec fe ff ff 0f
 0b a6 00 87 84 34 c0
Comment 1 Dave Jones 2006-01-11 23:46:10 EST
fixed in current builds

Note You need to log in before you can comment on or make changes to this bug.